CVE-2024-25126

CVSS 3.1 Score 5.3 of 10 (medium)

Details

Published Feb 29, 2024
CWE ID 1333

Summary

CVE-2024-25126 is a vulnerability affecting the Rack web server interface in Ruby. This vulnerability can be exploited by using carefully crafted content type headers, which can cause a denial of service (DoS) attack. The attack takes advantage of Rack's media type parser, which can be made to take much longer than expected, resulting in a DoS vulnerability. The vulnerability has been patched in versions 3.0.9.1 and 2.2.8.1 of Rack. It has a base severity rating of MEDIUM and an exploitability score of 3.9 out of 10, indicating a moderate risk level for organizations using affected versions of Rack.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-25126 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options